Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419379 - Review Request: libefp - A full implementation of the Effective Fragment Potential (EFP) method
Summary: Review Request: libefp - A full implementation of the Effective Fragment Pote...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 01:08 UTC by Susi Lehtola
Modified: 2021-05-26 12:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 17:53:44 UTC
Type: ---
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Susi Lehtola 2017-02-06 01:08:18 UTC
Spec URL: https://jussilehtola.fedorapeople.org/libefp.spec
SRPM URL: https://jussilehtola.fedorapeople.org/libefp-1.4.1-1.fc25.src.rpm
Fedora Account System Username: jussilehtola

Description:
The Effective Fragment Potential (EFP) method allows one to describe
large molecular systems by replacing chemically inert part of a system
by a set of Effective Fragments while performing regular ab initio
calculation on the chemically active part. The LIBEFP library is a
full implementation of the EFP method. It allows users to easily
incorporate EFP support into their favourite quantum chemistry
package.

Comment 1 Susi Lehtola 2017-02-28 14:54:18 UTC
This package adds functionality to the psi4 package.

Comment 2 Robert-André Mauchin 🐧 2017-10-04 16:47:30 UTC
Hello,

 - Please update to the latest version, 1.4.2.

 - Please use a more meaningful name for your archive, with:

Source0: https://github.com/ilyak/libefp/archive/%{version}/%{name}-%{version}.tar.gz

 - Please don't mix spaces and tabs (line 7). Choose one on the other.

 - The library should be versioned:

>In cases where upstream ships unversioned .so library (so this is not needed for 
>plugins, drivers, etc.), the packager MUST try to convince upstream to start 
>versioning it.
>
>If that fails due to unwilling or unresposive upstream, the packager may start 
>versioning downstream but this must be done with caution and ideally only in 
>rare cases. We don't want to create a library that could conflict with upstream 
>if they later start providing versioned shared libraries. Under no circumstances 
>should the unversioned library be shipped in Fedora.

See https://fedoraproject.org/wiki/Packaging:Guidelines#Downstream_.so_name_versioning

Comment 3 Susi Lehtola 2017-10-04 17:31:19 UTC
Updated spec and srpm at

Spec URL: https://jussilehtola.fedorapeople.org/libefp.spec
SRPM URL: https://jussilehtola.fedorapeople.org/libefp-1.4.2-1.fc26.src.rpm

Filed ticket about versioning upstream at
https://github.com/ilyak/libefp/issues/10

Comment 4 Antonio T. (sagitter) 2018-03-26 10:49:41 UTC
Please, update your src package to latest version.

Comment 5 Susi Lehtola 2018-03-26 11:29:31 UTC
(In reply to Antonio Trande from comment #4)
> Please, update your src package to latest version.

I did it already once above per request. It's not a MUST.

However, re-updated spec and srpm at

Spec URL: https://jussilehtola.fedorapeople.org/libefp.spec
SRPM URL: https://jussilehtola.fedorapeople.org/libefp-1.5.0-1.fc27.src.rpm

Comment 6 Antonio T. (sagitter) 2018-03-26 16:32:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: libefp-debugsource :
  /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/balance.h libefp-
  debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/clapack.h
  libefp-debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/efp.h
  libefp-debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/elec.h
  libefp-debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/int.h
  libefp-debugsource :
  /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/intshift.h libefp-
  debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/log.h libefp-
  debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/mathutil.h
  libefp-debugsource :
  /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/private.h libefp-
  debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/stream.h
  libefp-debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/swf.h
  libefp-debugsource :
  /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/terms.h libefp-debugsource
  : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/util.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

- Use new ldconfig scriptlet

- Why tests are not performed?
  (You need to compile the EFPMD program: https://github.com/ilyak/libefp#efpmd)

- You can activate OpenMP/MPI parallelization too.
  Are you not interested about?

- BLAS library is not detected:

...
-- Found Threads: TRUE  
-- A library with BLAS API not found. Please specify library location.
-- LAPACK requires BLAS
-- LAPACK detected.
-- Found TargetLAPACK: Found LAPACK:  
...

- libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 ...

Probably, 'undefined-non-weak-symbol' are there for missing linkage to the BLAS library. 


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated",
     "*No copyright* BSD (unspecified)". 141 files have unknown license.
     Detailed output of licensecheck in
     /home/sagitter/1419379-libefp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libefp-
     data , libefp-debuginfo , libefp-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libefp-1.5.0-1.fc29.x86_64.rpm
          libefp-data-1.5.0-1.fc29.noarch.rpm
          libefp-devel-1.5.0-1.fc29.x86_64.rpm
          libefp-debuginfo-1.5.0-1.fc29.x86_64.rpm
          libefp-debugsource-1.5.0-1.fc29.x86_64.rpm
          libefp-1.5.0-1.fc29.src.rpm
libefp.x86_64: W: spelling-error %description -l en_US initio -> initiation
libefp.x86_64: W: spelling-error %description -l en_US favourite -> favorite, favoritism
libefp-data.noarch: W: no-documentation
libefp-devel.x86_64: W: only-non-binary-in-usr-lib
libefp-devel.x86_64: W: no-documentation
libefp-debugsource.x86_64: W: no-documentation
libefp.src: W: spelling-error %description -l en_US initio -> initiation
libefp.src: W: spelling-error %description -l en_US favourite -> favorite, favoritism
6 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libefp-debuginfo-1.5.0-1.fc29.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
libefp-devel.x86_64: W: invalid-url URL: https://libefp.github.io/ <urlopen error [Errno -2] Name or service not known>
libefp-devel.x86_64: W: only-non-binary-in-usr-lib
libefp-devel.x86_64: W: no-documentation
libefp-debuginfo.x86_64: W: invalid-url URL: https://libefp.github.io/ <urlopen error [Errno -2] Name or service not known>
libefp-debugsource.x86_64: W: invalid-url URL: https://libefp.github.io/ <urlopen error [Errno -2] Name or service not known>
libefp-debugsource.x86_64: W: no-documentation
libefp-data.noarch: W: invalid-url URL: https://libefp.github.io/ <urlopen error [Errno -2] Name or service not known>
libefp-data.noarch: W: no-documentation
libefp.x86_64: W: spelling-error %description -l en_US initio -> initiation
libefp.x86_64: W: spelling-error %description -l en_US favourite -> favorite, favoritism
libefp.x86_64: W: invalid-url URL: https://libefp.github.io/ <urlopen error [Errno -2] Name or service not known>
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 sincos
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 atan2
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 dgemm_
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 acos
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 dgesv_
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 exp
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 log
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 round
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 sqrt
libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 dsyev_
5 packages and 0 specfiles checked; 0 errors, 21 warnings.



Requires
--------
libefp-devel (rpmlib, GLIBC filtered):
    cmake
    cmake-filesystem
    libefp(x86-64)
    libefp.so.1.5()(64bit)

libefp-debuginfo (rpmlib, GLIBC filtered):

libefp-debugsource (rpmlib, GLIBC filtered):

libefp-data (rpmlib, GLIBC filtered):
    libefp

libefp (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libefp-data
    rtld(GNU_HASH)



Provides
--------
libefp-devel:
    cmake(libefp)
    libefp-devel
    libefp-devel(x86-64)

libefp-debuginfo:
    debuginfo(build-id)
    libefp-debuginfo
    libefp-debuginfo(x86-64)

libefp-debugsource:
    libefp-debugsource
    libefp-debugsource(x86-64)

libefp-data:
    libefp-data

libefp:
    libefp
    libefp(x86-64)
    libefp.so.1.5()(64bit)



Source checksums
----------------
https://github.com/ilyak/libefp/archive/1.5.0/libefp-1.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2ad217c56afd2e2560b2f26d01a3bf465dbb88bf488d67f2cbdfe382e6df517a
  CHECKSUM(SHA256) upstream package : 2ad217c56afd2e2560b2f26d01a3bf465dbb88bf488d67f2cbdfe382e6df517a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1419379
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Susi Lehtola 2018-04-14 15:27:58 UTC
(In reply to Antonio Trande from comment #6)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Header files in -devel subpackage, if present.
>   Note: libefp-debugsource :
>   /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/balance.h libefp-
>   debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/clapack.h
>   libefp-debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/efp.h
>   libefp-debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/elec.h
>   libefp-debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/int.h
>   libefp-debugsource :
>   /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/intshift.h libefp-
>   debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/log.h libefp-
>   debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/mathutil.h
>   libefp-debugsource :
>   /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/private.h libefp-
>   debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/stream.h
>   libefp-debugsource : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/swf.h
>   libefp-debugsource :
>   /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/terms.h libefp-debugsource
>   : /usr/src/debug/libefp-1.5.0-1.fc29.x86_64/src/util.h
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Not an issue, because those are in the *debug source tarball*. They are *not* installed.

> - Use new ldconfig scriptlet

Done.

> - Why tests are not performed?
>   (You need to compile the EFPMD program:
> https://github.com/ilyak/libefp#efpmd)

CMakeLists.txt says:
# Notes on CMake: CMake builds libefp, the shared or static library,
#   but not efpmd because Psi4 doesn't use it. Also not implemented
#   is testing with CTest. Also, when libefp is
#   compiled statically with OpenMP, will need to compile consuming
#   application with OpenMP, too, or supply link library.

Per request, I have switched to using the Makefile.

> - You can activate OpenMP/MPI parallelization too.
>   Are you not interested about?

OpenMP activated. MPI is too much of a hassle for my needs.

> - BLAS library is not detected:
> 
> ...
> -- Found Threads: TRUE  
> -- A library with BLAS API not found. Please specify library location.
> -- LAPACK requires BLAS
> -- LAPACK detected.
> -- Found TargetLAPACK: Found LAPACK:  
> ...
> 
> - libefp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libefp.so.1.5 ...
> 
> Probably, 'undefined-non-weak-symbol' are there for missing linkage to the
> BLAS library. 

I don't want to link to a BLAS library, because there are multiple possible BLAS libraries that can be used on Fedora. It's better to leave the choice to the linking packages. Otherwise it's a big mess to make sure you're actually using the library you want. This is the same way e.g. the GSL library is packaged: the BLAS library is chosen by the user at link time.

**

Spec URL: https://jussilehtola.fedorapeople.org/libefp.spec
SRPM URL: https://jussilehtola.fedorapeople.org/libefp-1.5.0-2.fc27.src.rpm

Comment 8 Antonio T. (sagitter) 2018-04-14 17:18:58 UTC
Package approved.

Comment 9 Susi Lehtola 2018-04-15 09:10:53 UTC
Thanks for the review!

Comment 10 Gwyn Ciesla 2018-04-16 13:04:33 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libefp

Comment 11 Fedora Update System 2018-05-04 19:24:40 UTC
libefp-1.5.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e7f0d10a09

Comment 12 Fedora Update System 2018-05-04 19:24:50 UTC
libefp-1.5.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48d82d4b4b

Comment 13 Fedora Update System 2018-05-04 19:24:55 UTC
libefp-1.5.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f6815cd48a

Comment 14 Fedora Update System 2018-05-06 05:34:48 UTC
libefp-1.5.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48d82d4b4b

Comment 15 Fedora Update System 2018-05-06 10:08:20 UTC
libefp-1.5.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f6815cd48a

Comment 16 Fedora Update System 2018-05-06 21:53:49 UTC
libefp-1.5.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e7f0d10a09

Comment 17 Fedora Update System 2018-05-14 17:53:44 UTC
libefp-1.5.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-05-14 18:01:48 UTC
libefp-1.5.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-05-19 03:36:15 UTC
libefp-1.5.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.